No internet connection
  1. Home
  2. General

Supported .Net Framework

By Gary Noble @garynoble
    2022-11-23 17:56:49.735Z

    Currently Think Automation is using an unsupported version of the .Net Framework (4.7), when is this going to be addressed. When will ThinkAutomation be recompiled to a supported framework as this now sits out site legal compliance for a lot of customers?

    • 3 replies
    1. D
      Daniel Horton @daniel.horton
        2022-11-24 09:16:10.569Z

        Hi Gary,

        To our knowledge .Net Framework 4.7 is supported - https://learn.microsoft.com/en-us/lifecycle/products/microsoft-net-framework

        ThinkAutomation is compatible with .Net Framework 4.8 also. This is supplied with Windows 11 and Server 2022 so would be supported for the life of these operating systems.

        Thank you

        1. GGary Noble @garynoble
            2022-12-09 16:33:04.955Z

            Thanks for the confirmation. When will you be making this .Net 5 compatible as this will be come restrictive when trying to create API addons?

            1. In reply todaniel.horton:
              GGary Noble @garynoble
                2022-12-09 16:33:34.445Z

                Also please update your documentation as the faq state .Net Framework 4.5